Bug 183202 - show architecture details in defaul rpm query atleast for x86_64 systems in FC6 rawhide
show architecture details in defaul rpm query atleast for x86_64 systems in F...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 08:22 EST by Rahul Sundaram
Modified: 2013-03-13 01:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 08:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2006-02-27 08:22:45 EST
Description of problem:

Architecture is not detailed in the default rpm query (rpm -qa ) and confuses
users into believing that there are multiple duplicate packages installed on the
system

Actual results:

rpm -qa does not show architecture details


Expected results:

should show architecture details by default.


Additional info:

The current argument is that changing the query results would break scripts that
incorrectly use screen scrapping instead of the API and library. Testing this in
FC6 development cycle would help find and fix such bugs. If all hell breaks
loose we can disable it again during FC5 GA release.
Comment 1 Jeff Johnson 2006-03-01 08:48:13 EST
Fixed in rpm-4.4.5 (at least).

Changing the default --query --all output may break legacy user scripts.

Add to /etc/rpm/macros or ~/.rpmmacros:
    %_query_all_fmt         %%{name}-%%{version}-%%{release}.%%{arch}

Note You need to log in before you can comment on or make changes to this bug.